using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using GHI.Pins;


using Adafruit.Display18;


namespace AdaDisplayShield
{
    public class Program
    {
        
        public static void Main()
        {
            Display DisplayShield = new Display(FEZPandaIII.Gpio.D8, FEZPandaIII.Gpio.D10, FEZPandaIII.SpiBus.Spi1);
            int i = 0;

            // Rectangle
            DisplayShield.DrawFilledRectangle(0, 0, 160, 128, Color.Blue);
            Thread.Sleep(1000);

            DisplayShield.DrawLargeText(20, 30, ".NEMF v4.3", Color.Green);

            while (true)
            {
                DisplayShield.DrawText(30, 60, "Count: " + i++, Color.Magenta);
                Thread.Sleep(10);
            }
        }

        static void testDrawRect()
        {
            
        }
    }
}
