﻿using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware;
using SecretLabs.NETMF.Hardware.Netduino;

using Adafruit.Display18;

namespace NetduinoST7735
{
    public class Program
    {
        public static void Main()
        {
            Display DisplayShield = new Display(Pins.GPIO_PIN_D8, Pins.GPIO_PIN_D10, SPI_Devices.SPI1);
            int i = 0;

            // Rectangle
            DisplayShield.DrawFilledRectangle(0, 0, 160, 128, Color.Black);
            Thread.Sleep(1000);

            DisplayShield.DrawLargeText(20, 30, ".NEMF v4.3", Color.Green);

            while (true)
            {
                DisplayShield.DrawText(30, 60, "Count: " + i++, Color.Magenta);
                Thread.Sleep(10);
            }

        }

    }
}
